-----------------------------logic消息分发------------------------

local MiddleHeartBeat = require("middle.MiddleHeartBeat")
local MiddleLogic = require("middle.MiddleLogic")
local MiddleConnect = require("middle.MiddleConnect")
local MiddleManager = require("middle.MiddleManager")
local ChatMiddleLogic = require("chat.ChatMiddleLogic")
local JjcLadderLogic = require("jjcLadder.JjcLadderLogic")
local JjcLadderMiddle = require("jjcLadder.JjcLadderMiddle")
local ValleyLogic = require("valley.ValleyLogic")
local ValleyMiddle = require("valley.ValleyMiddle")
local ValleyMiddle = require("valley.ValleyMiddle")
local WarReportMiddle = require("warReport.WarReportMiddle")
local AbsActBillboardLogic = require("absAct.AbsActBillboardLogic")
local AbsActBillboardMiddleLogic = require("absAct.AbsActBillboardMiddleLogic")
local YunYingLogic = require("yunying.YunYingLogic")
local MoZhuLogic = require("mozhu.MoZhuLogic")
local MoZhuMiddleLogic = require("mozhu.MoZhuMiddleLogic")

function LW_HELLO(fd, msg)
	if _G.is_middle ~= true then return end
    MiddleConnect.LW_HELLO(fd, msg)
end

function LW_DISCONNECT(fd, msg)
    if _G.is_middle ~= true then return end
    MiddleConnect.LW_DISCONNECT(fd, msg)
end

function LW_HEARTBEAT(fd, msg)
    if _G.is_middle ~= true then return end
    MiddleHeartBeat.LW_HEARTBEAT(fd, msg)
end

